# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=basin
TARGET=basin.tif
PROJECT_FILE=/mnt/media/pictures/2008/0507-451/2008-03-26-downtown/basin.pto

# Input images
INPUT_IMAGES=/mnt/media/pictures/2008/0507-451/2008-03-26-downtown/sta_2065.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/stb_2066.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/stc_2067.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/std_2068.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/ste_2069.jpg 

# remapped images
REMAPPED_IMAGES=basin0000.tif basin0001.tif basin0002.tif basin0003.tif basin0004.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v -z -f6000x4931


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


